derry 1.2.1
derry: ^1.2.1 copied to clipboard

Dart native

A script manager to help you define script shortcuts and use them effortlessly, and performantly.

example/main.dart

// Check the repository for [derry.yaml] file and more informative example
// [derry.yaml] will probably look like this
//
// version: dart --version # example that stderr is also shown
// ping: ping google.com && echo ok # example that stdout is served with stream
// # example for list commands
// list:
//   - echo test
//   - echo done
// # example for advanved configurations
// run_once:
//   (execution): once
//   (scripts):
//     - echo test
//     - exit
//     - echo "this wont be called"
// # example for subcommands
// prep:
//   - echo step 1
//   - echo step 2
// test: # call with derry test
//   - $prep
//   - echo pub run test
// build: # call with derry build
//   - \$prep # should not work
//   - echo flutter build
// nested: # example for nested scripts
//   foo:
//     - echo bar

void main() {
  print('Derry.');
}
77
likes
100
pub points
68%
popularity

Publisher

frenco.dev

A script manager to help you define script shortcuts and use them effortlessly, and performantly.

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

args, console, equatable, ffi, path, string_similarity, yaml

More

Packages that depend on derry